sonar_preview:
  stage: test
  script:
    - bash ci/sonar-scanner
  except:
    - master
  tags:
    - print

auto_test:
  stage: test
  script: bash ci/auto_test.sh
  except:
    - master
  tags:
    - print

sonar_analyze:
  stage: test
  script:
    - bash sonar-scanner
  only:
    - master
  tags:
    - print